/*  globals.h -	Defines the global variables
 *
 *  Stones of Asterind
 *
 *  Matthew J. Gelhaus
 *  October 24, 1998
 */

#ifndef __SA_GLOBALS_H
#define __SA_GLOBALS_H
 
#include <gtk/gtk.h>

#define SOFTWARE_VERSION				"Stones of Asterind 0.9"
#define MAJOR_VERSION					0
#define MINOR_VERSION					9
#define POSTFIX_VERSION					"release"

#define ROWS							15
#define COLS							8
#define COLORS							12

/*
 *  Global variables
 */
GtkWidget	*wMainWindow;			/* main window					*/
GtkWidget	*wGameBoard;			/* game board					*/
GtkWidget	*wPeg[ROWS][COLS],		/* peg board					*/
		*wHint[ROWS][COLS];		/* hint board					*/
GtkWidget	*wPegLED[ROWS][COLS];	/* LEDs on each peg				*/
int		iPegColor[COLS];		/* peg colors					*/
int		iOldPegColor[COLS];		/* previous peg colors			*/
int		iSolution[COLS];		/* solution						*/
int		iCoord[ROWS][COLS][2];	/* coordinate of button			*/
GtkWidget	*wClock;				/* game timer widget			*/
unsigned int	uiGameTime;				/* time elapsed in game			*/
unsigned int    uiBaseTime;				/* base time for game (t=0)		*/
gint		GameTimer;				/* ID of game timer				*/
GtkWidget	*wKey[COLORS];			/* color keys					*/
int		iCurrentRow;			/* current row					*/
GtkWidget	*wButtonLabel;			/* Start!/Guess button label	*/
GtkWidget	*wbGuess;				/* guess button					*/
gint		ButtonSignal;			/* Start!/Guess button signal ID*/
GtkWidget	*wBox1;					/* layout box					*/
int		iScore;					/* player's current score		*/
GtkWidget	*wScore;				/* score display				*/


/*
 *  Game options
 */
int		iNumColors;				/* number of colors in game		*/
int		iNumRows, iNumCols;		/* rows, cols in current game	*/
int		bAllowRepeatColors;		/* allow repeat colors flag		*/


/*
 *  Global functions
 */
void ChangeColor(GtkWidget *wButton, gpointer pData);


#endif /* __SA_GLOBALS_H */
