/*  gtkclock.h -	Analog clock display with 1/10-sec resolution
 *
 *  Matthew J. Gelhaus
 *  October 26, 1998
 */

#ifdef __hpux
#define GTK_BASIC 0
#endif
 
#ifndef __GTK_CLOCK_H__
#define __GTK_CLOCK_H__


#include <gdk/gdk.h>
#include <gtk/gtk.h>


#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */


#define GTK_CLOCK(obj)         GTK_CHECK_CAST(obj, gtk_clock_get_type(), GtkClock)
#define GTK_CLOCK_CLASS(klass) GTK_CHECK_CLASS_CAST(klass, gtk_clock_get_type(), GtkClockClass)
#define GTK_IS_CLOCK(obj)      GTK_CHECK_TYPE(obj, gtk_clock_get_type())


typedef struct _GtkClock       GtkClock;
typedef struct _GtkClockClass  GtkClockClass;

struct _GtkClock
{
  GtkWidget widget;

  guint16 uiCurrentTime;

  /* Dimensions of dial components */
  gint radius;
  gint pointer_width;

  /* Current angle */
  gfloat fSecAngle, fMinAngle, fHourAngle;

};

struct _GtkClockClass
{
  GtkWidgetClass parent_class;
};


GtkWidget*     gtk_clock_new                    (void);
guint          gtk_clock_get_type               (void);
void           gtk_clock_set_time               (GtkClock *clock,
                                                 guint16 uiNewTime);

#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* __GTK_CLOCK_H__ */
