/*  gtkled.h -	Header file to gtkLED widget.
 *
 *  Matthew J. Gelhaus
 *  October 23, 1998
 */

#ifdef __hpux
#define GTK_BASIC 0
#endif
 
#ifndef __GTK_LED_H
#define __GTK_LED_H

#include <gdk/gdk.h>
#include <gtk/gtk.h>

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */


#define LED_DEFAULT_WIDTH		64
#define LED_DEFAULT_HEIGHT		16

#define GTK_LED(obj)			GTK_CHECK_CAST(obj, gtk_led_get_type(), GtkLED)
#define GTK_LED_CLASS(klass)	GTK_CHECK_CLASS_CAST(klass, gtk_led_get_type(), GtkLEDClass)
#define GTK_IS_LED(obj)			GTK_CHECK_TYPE(obj, gtk_led_get_type())


typedef struct _GtkLED			GtkLED;
typedef struct _GtkLEDClass		GtkLEDClass;


struct _GtkLED
{
  GtkWidget	widget;

  guint16	uiRed, uiGreen, uiBlue;  
  GdkGC		*gc;
};


struct _GtkLEDClass
{
  GtkWidgetClass parent_class;
};


GtkWidget*		gtk_led_new				(void);
guint			gtk_led_get_type		(void);
void			gtk_led_get_color		(GtkLED *LED, guint16 *red,
                                             guint16 *green, guint16 *blue);
void			gtk_led_set_color		(GtkLED *LED, guint16 red,
                                             guint16 green, guint16 blue);


#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __GTK_LED_H */
